Anubis - Bachelor thesis project

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
computer_vision.Gui_callback Class Reference

callback for training progress to GUI More...

Inheritance diagram for computer_vision.Gui_callback:
Collaboration diagram for computer_vision.Gui_callback:

## Public Member Functions
def | __init__ (self, train_vals, progress_flag, count_mode='samples', stateful_metrics=None)
def | set_params (self, params)
def | on_train_begin (self, logs=None)
def | on_epoch_begin (self, epoch, logs=None)
def | on_train_batch_end (self, batch, logs=None)
def | on_test_batch_end (self, batch, logs=None)
def | on_predict_batch_end (self, batch, logs=None)
def | on_epoch_end (self, epoch, logs=None)
def | on_test_end (self, logs=None)
def | on_predict_end (self, logs=None)

## Public Attributes
| train_vals
| progress_flag
| use_steps
| stateful_metrics
| seen
| active_epoch
| progbar
| target
| verbose
| epochs

## Private Member Functions
def | _reset_progbar (self)
def | _maybe_init_progbar (self)
def | _update_progbar (self, batch=None, logs=None)
| Updates the progress bar. More...

## Private Attributes
| _supports_tf_logs
| _called_in_fit

## Detailed Description

callback for training progress to GUI

Definition at line 240 of file computer_vision.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def computer_vision.Gui_callback.__init__ | ( |  | self,
|  |  | train_vals,
|  |  | progress_flag,
|  |  | count_mode = `'samples'`,
|  |  | stateful_metrics = `None`
| ) |  |

Definition at line 242 of file computer_vision.py.

## Member Function Documentation

## ◆ _maybe_init_progbar()

def computer_vision.Gui_callback._maybe_init_progbar | ( |  | self | ) |
| private

Definition at line 307 of file computer_vision.py.

## ◆ _reset_progbar()

def computer_vision.Gui_callback._reset_progbar | ( |  | self | ) |
| private

Definition at line 302 of file computer_vision.py.

## ◆ _update_progbar()

def computer_vision.Gui_callback._update_progbar | ( |  | self,
|  |  | batch = `None`,
|  |  | logs = `None`
| ) |  |
| private

Updates the progress bar.

Definition at line 315 of file computer_vision.py.

## ◆ on_epoch_begin()

def computer_vision.Gui_callback.on_epoch_begin | ( |  | self,
|  |  | epoch,
|  |  | logs = `None`
| ) |  |

Definition at line 278 of file computer_vision.py.

## ◆ on_epoch_end()

def computer_vision.Gui_callback.on_epoch_end | ( |  | self,
|  |  | epoch,
|  |  | logs = `None`
| ) |  |

Definition at line 292 of file computer_vision.py.

## ◆ on_predict_batch_end()

def computer_vision.Gui_callback.on_predict_batch_end | ( |  | self,
|  |  | batch,
|  |  | logs = `None`
| ) |  |

Definition at line 288 of file computer_vision.py.

## ◆ on_predict_end()

def computer_vision.Gui_callback.on_predict_end | ( |  | self,
|  |  | logs = `None`
| ) |  |

Definition at line 299 of file computer_vision.py.

## ◆ on_test_batch_end()

def computer_vision.Gui_callback.on_test_batch_end | ( |  | self,
|  |  | batch,
|  |  | logs = `None`
| ) |  |

Definition at line 284 of file computer_vision.py.

## ◆ on_test_end()

def computer_vision.Gui_callback.on_test_end | ( |  | self,
|  |  | logs = `None`
| ) |  |

Definition at line 295 of file computer_vision.py.

## ◆ on_train_batch_end()

def computer_vision.Gui_callback.on_train_batch_end | ( |  | self,
|  |  | batch,
|  |  | logs = `None`
| ) |  |

Definition at line 281 of file computer_vision.py.

## ◆ on_train_begin()

def computer_vision.Gui_callback.on_train_begin | ( |  | self,
|  |  | logs = `None`
| ) |  |

Definition at line 273 of file computer_vision.py.

## ◆ set_params()

def computer_vision.Gui_callback.set_params | ( |  | self,
|  |  | params
| ) |  |

Definition at line 267 of file computer_vision.py.

## Member Data Documentation

## ◆ _called_in_fit

computer_vision.Gui_callback._called_in_fit
| private

Definition at line 265 of file computer_vision.py.

## ◆ _supports_tf_logs

computer_vision.Gui_callback._supports_tf_logs
| private

Definition at line 248 of file computer_vision.py.

## ◆ active_epoch

computer_vision.Gui_callback.active_epoch

Definition at line 259 of file computer_vision.py.

## ◆ epochs

computer_vision.Gui_callback.epochs

Definition at line 263 of file computer_vision.py.

## ◆ progbar

computer_vision.Gui_callback.progbar

Definition at line 260 of file computer_vision.py.

## ◆ progress_flag

computer_vision.Gui_callback.progress_flag

Definition at line 246 of file computer_vision.py.

## ◆ seen

computer_vision.Gui_callback.seen

Definition at line 258 of file computer_vision.py.

## ◆ stateful_metrics

computer_vision.Gui_callback.stateful_metrics

Definition at line 256 of file computer_vision.py.

## ◆ target

computer_vision.Gui_callback.target

Definition at line 261 of file computer_vision.py.

## ◆ train_vals

computer_vision.Gui_callback.train_vals

Definition at line 245 of file computer_vision.py.

## ◆ use_steps

computer_vision.Gui_callback.use_steps

Definition at line 250 of file computer_vision.py.

## ◆ verbose

computer_vision.Gui_callback.verbose

Definition at line 262 of file computer_vision.py.

The documentation for this class was generated from the following file:

- computer_vision.py